<?php
/**
 * Pagination Settings
 *
 * @package Videocast
 */

$videocast_default = videocast_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'videocast_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'videocast' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'videocast_pagination_layout',
	array(
	'default'           => $videocast_default['videocast_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'videocast_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'videocast' ),
	'section'     => 'videocast_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','videocast'),
		'numeric' => esc_html__('Numeric Method','videocast'),
		'load-more' => esc_html__('Ajax Load More Button','videocast'),
		'auto-load' => esc_html__('Ajax Auto Load','videocast'),
	),
	)
);