<?php
/**
 *
 * Pagination Functions
 *
 * @package Videocast
 */

if( !function_exists('videocast_archive_pagination_x') ):

    // Archive Page Navigation
    function videocast_archive_pagination_x(){

        // Global Query
        if( is_front_page() ){

            $posts_per_page = absint( get_option('posts_per_page') );
            $paged_c = ( get_query_var( 'page' ) ) ? absint( get_query_var( 'page' ) ) : 1;
            $posts_args = array(
                'posts_per_page'        => $posts_per_page,
                'paged'                 => $paged_c,
            );
            $posts_qry = new WP_Query( $posts_args );
            $max = $posts_qry->max_num_pages;

        }else{
            global $wp_query;
            $max = $wp_query->max_num_pages;
            $paged_c = ( get_query_var( 'paged' ) > 1 ) ? get_query_var( 'paged' ) : 1;
        }

        $videocast_default = videocast_get_default_theme_options();
        $videocast_pagination_layout = esc_html( get_theme_mod( 'videocast_pagination_layout',$videocast_default['videocast_pagination_layout'] ) );
        $videocast_pagination_load_more = esc_html__('Load More Posts','videocast');
        $videocast_pagination_no_more_posts = esc_html__('No More Posts','videocast');

        if( $videocast_pagination_layout == 'next-prev' ){

            the_posts_navigation([
                'prev_text'=>videocast_the_theme_svg( 'arrow-left',$return = true ).'<span class="nav-link-label">'. __('Older posts','videocast').'</span>',
                'next_text'=> '<span class="nav-link-label">'. __('Newer posts','videocast').'</span>'.videocast_the_theme_svg( 'arrow-right',$return = true ),
            ]);

        }elseif( $videocast_pagination_layout == 'load-more' || $videocast_pagination_layout == 'auto-load' ){ ?>

            <div class="theme-ajax-loadpost hide-no-js">

                <div  style="display: none;" class="theme-loaded-content"></div>
                

                <?php if( $max > 1 ){ ?>

                    <button class="theme-loading-button theme-loading-style" href="javascript:void(0)">
                        <span style="display: none;" class="theme-loading-status"></span>
                        <span class="loading-text"><?php echo esc_html( $videocast_pagination_load_more ); ?></span>
                    </button>

                <?php }else{ ?>

                    <button class="theme-loading-button theme-loading-style theme-no-posts" href="javascript:void(0)">
                        <span style="display: none;" class="theme-loading-status"></span>
                        <span class="loading-text"><?php echo esc_html( $videocast_pagination_no_more_posts ); ?></span>
                    </button>

                <?php } ?>

            </div>

        <?php }else{

            the_posts_pagination();

        }
            
    }

endif;
add_action('videocast_archive_pagination','videocast_archive_pagination_x',20);