<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Videocast
 * @since 1.0.0
 */
videocast_disable_post_read_time();
videocast_disable_post_like_dislike();

$videocast_default = videocast_get_default_theme_options();?>

<article id="post-<?php the_ID(); ?>" <?php post_class('twp-archive-items'); ?>>
    <div class="entry-wrapper">
        <?php if (has_post_thumbnail()) {
            $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
            $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
            <div class="entry-thumbnail thumbnail-image-overlay">
                <a href="<?php the_permalink(); ?>" class="data-bg data-bg-medium"
                    data-background="<?php echo esc_url($featured_image); ?>">
                </a>

                <div class="theme-page-views">
                    <?php if (class_exists('Booster_Extension_Class')) { 
                        echo do_shortcode('[booster-extension-visit-count]');
                    } ?>
                </div>

            </div>
            <div class="post-content">

                <header class="entry-header">

                    <h3 class="entry-title entry-title-small line-clamp-2">

                        <a href="<?php the_permalink(); ?>">
                                                        
                            <?php the_title(); ?>

                        </a>
                    </h3>

                </header>

                <div class="entry-meta">

                    <?php
                        videocast_posted_by();
                        ?>

                </div>

            </div>
        <?php } else { ?>
        <div class='no-image-post'>

            <div class="post-content">

                <header class="entry-header">

                    <h3 class="entry-title entry-title-big line-clamp-3">

                        <a href="<?php the_permalink(); ?>">

                            <?php the_title(); ?>

                        </a>
                    </h3>

                </header>

                <div class="entry-meta">

                    <?php
                    videocast_posted_by();
                    ?>

                </div>

            </div>
        </div>


        <?php } ?>


    </div>
</article>