<?php
/**
 * Header Layout 1
 *
 * @package Videocast
 */
$videocast_default = videocast_get_default_theme_options();
$ed_desktop_menu = get_theme_mod( 'ed_desktop_menu',$videocast_default['ed_desktop_menu'] );
?>


<div class="wrapper">
    <div class="wrapper-inner">

        <div class="column column-12">

            <div class="header-component-container">
                <div class="header-component header-component-left">
                    <div class="header-titles">

                        <?php
                        // Site title or logo.
                        videocast_site_logo();
                        // Site description.
                        videocast_site_description();
                        ?>

                    </div><!-- .header-titles -->

                </div><!-- .header-component-left -->


                <div class="header-component header-component-center">
                    <?php get_search_form();?>

                    <a href="<?php echo get_site_url().'/twp-video-browse-by-category'; ?>" class="theme-btn-link btn-link-sign">
                        <span class="theme-tooltip" data-tooltip="<?php echo esc_html__('Explore by Category','videocast'); ?>">
                             <?php videocast_the_theme_svg('collection'); ?>
                        </span>
                    </a>
                </div>

                <div class="header-component header-component-right">

                    <?php if( has_nav_menu('videocast-social-menu') ){ ?>

                    <div id="social-nav" class="social-navigation">

                        <?php
                                wp_nav_menu(array(
                                    'theme_location' => 'videocast-social-menu',
                                    'link_before' => '<span class="screen-reader-text">',
                                    'link_after' => '</span>',
                                    'container' => 'div',
                                    'container_class' => 'social-menu',
                                    'depth' => 1,
                                )); ?>

                    </div>

                    <?php } ?>

                    <button type="button" class="navbar-control theme-action-control navbar-day-night navbar-night-on">
                        <span class="navbar-control-trigger day-night-toggle-icon" tabindex="-1">

                            <span class="moon-toggle-icon">
                                <i class="moon-icon hide">
                                    <svg class="svg-icon" aria-hidden="true" role="img" focusable="false"
                                        xmlns="http://www.w3.org/2000/svg" width="20" height="20" - viewBox="0 0 20 20">
                                        <path fill="currentColor"
                                            d="M 19.832031 8.164062 C 19.78125 7.890625 19.546875 7.691406 19.265625 7.683594 C 18.988281 7.679688 18.746094 7.871094 18.683594 8.140625 C 18.089844 10.738281 15.808594 12.550781 13.136719 12.550781 C 10 12.550781 7.449219 10 7.449219 6.863281 C 7.449219 4.191406 9.261719 1.910156 11.859375 1.316406 C 12.128906 1.253906 12.320312 1.011719 12.316406 0.734375 C 12.308594 0.453125 12.109375 0.21875 11.835938 0.167969 C 11.230469 0.0585938 10.613281 0 10 0 C 7.328125 0 4.816406 1.039062 2.929688 2.929688 C 1.039062 4.816406 0 7.328125 0 10 C 0 12.671875 1.039062 15.183594 2.929688 17.070312 C 4.816406 18.960938 7.328125 20 10 20 C 12.671875 20 15.183594 18.960938 17.070312 17.070312 C 18.960938 15.183594 20 12.671875 20 10 C 20 9.386719 19.941406 8.769531 19.832031 8.164062 Z M 10 18.828125 C 5.132812 18.828125 1.171875 14.867188 1.171875 10 C 1.171875 5.382812 4.738281 1.582031 9.257812 1.203125 C 8.710938 1.578125 8.214844 2.035156 7.792969 2.558594 C 6.816406 3.769531 6.277344 5.300781 6.277344 6.863281 C 6.277344 10.644531 9.355469 13.722656 13.136719 13.722656 C 14.699219 13.722656 16.230469 13.183594 17.441406 12.207031 C 17.964844 11.785156 18.421875 11.289062 18.796875 10.742188 C 18.417969 15.261719 14.617188 18.828125 10 18.828125 Z M 10 18.828125">
                                        </path>
                                    </svg> </i>
                            </span>

                            <span class="sun-toggle-icon">
                                <i class="sun-icon">
                                    <svg class="svg-icon" aria-hidden="true" role="img" focusable="false"
                                        xmlns="http://www.w3.org/2000/svg" width="20" height="20" - viewBox="0 0 20 20">
                                        <path fill="currentColor"
                                            d="M 3.390625 10.832031 L 0 10.832031 L 0 9.167969 L 3.390625 9.167969 C 3.355469 9.441406 3.332031 9.71875 3.332031 10 C 3.332031 10.28125 3.355469 10.558594 3.390625 10.832031 Z M 5.917969 4.738281 L 3.519531 2.339844 L 2.339844 3.515625 L 4.742188 5.917969 C 5.082031 5.476562 5.476562 5.082031 5.917969 4.738281 Z M 15.261719 5.917969 L 17.660156 3.515625 L 16.484375 2.339844 L 14.082031 4.738281 C 14.523438 5.082031 14.917969 5.476562 15.261719 5.917969 Z M 10 3.332031 C 10.28125 3.332031 10.558594 3.355469 10.832031 3.390625 L 10.832031 0 L 9.167969 0 L 9.167969 3.390625 C 9.441406 3.355469 9.71875 3.332031 10 3.332031 Z M 10 16.667969 C 9.71875 16.667969 9.441406 16.644531 9.167969 16.609375 L 9.167969 20 L 10.832031 20 L 10.832031 16.609375 C 10.558594 16.644531 10.28125 16.667969 10 16.667969 Z M 16.609375 9.167969 C 16.644531 9.441406 16.667969 9.71875 16.667969 10 C 16.667969 10.28125 16.644531 10.558594 16.609375 10.832031 L 20 10.832031 L 20 9.167969 Z M 14.082031 15.261719 L 16.480469 17.660156 L 17.660156 16.480469 L 15.261719 14.082031 C 14.917969 14.523438 14.523438 14.917969 14.082031 15.261719 Z M 4.738281 14.082031 L 2.339844 16.480469 L 3.519531 17.660156 L 5.917969 15.257812 C 5.476562 14.917969 5.082031 14.523438 4.738281 14.082031 Z M 6.667969 10 C 6.667969 11.839844 8.160156 13.332031 10 13.332031 C 11.839844 13.332031 13.332031 11.839844 13.332031 10 C 13.332031 8.160156 11.839844 6.667969 10 6.667969 C 8.160156 6.667969 6.667969 8.160156 6.667969 10 Z M 15 10 C 15 12.761719 12.761719 15 10 15 C 7.238281 15 5 12.761719 5 10 C 5 7.238281 7.238281 5 10 5 C 12.761719 5 15 7.238281 15 10 Z M 15 10 ">
                                        </path>
                                    </svg> </i>
                            </span>

                        </span>
                    </button>

                    <div class="navbar-controls hide-no-js">
                        <?php 
                        $ed_header_search = get_theme_mod('ed_header_search', $videocast_default['ed_header_search']);
                        if ($ed_header_search) { ?>

                        <button type="button" class="navbar-control theme-action-control navbar-control-search">
                            <span class="action-control-trigger" tabindex="-1">
                                <?php //get_search_form();?>
                                <?php videocast_the_theme_svg('search'); ?>
                            </span>
                        </button>

                        <?php } ?>

                        <button type="button" class="navbar-control theme-action-control navbar-control-offcanvas">
                            <span class="action-control-trigger" tabindex="-1">
                                <?php videocast_the_theme_svg('menu'); ?>
                            </span>
                        </button>


                    </div>

                </div><!-- .header-component-right -->
            </div>

        </div>
    </div>
</div>